ButtonMouseWheelMap
Keywords: wiiremotej.ButtonMouseWheelMap class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wiiremotej
Class ButtonMouseWheelMap

    java.lang.Object
      wiiremotej.ButtonMap
          wiiremotej.ButtonMouseWheelMap

    public class ButtonMouseWheelMap

extends ButtonMap

Maps a button on the Wii remote to the mouse scroll-wheel. See ButtonMap for details on buttons and extensions. A button mouse wheel map has two modes: push-to-scroll, and hold-to-scroll. In the former, the button must be pressed and released each time to scroll the scroll amount. In the latter, the button may be held down. The wheel will scroll the scroll amount once per scroll interval (milliseconds).

See Also:
  `ButtonMap`

Field Summary

Fields inherited from class wiiremotej.ButtonMap
`CLASSIC_CONTROLLER, GUITAR, NUNCHUK`

Constructor Summary
`ButtonMouseWheelMap(int wiiRemoteButtons, int scrollAmount, int scrollInterval)` Creates a new ButtonMap for the Wii remote with the given scroll amount and scroll interval.
`ButtonMouseWheelMap(int extension, int extensionButtons, int scrollAmount, int scrollInterval)` Creates a new ButtonMap for the given extension with the given list of keys.
`ButtonMouseWheelMap(int wiiRemoteButtons, int extension, int extensionButtons, int scrollAmount, int scrollInterval)` Creates a new ButtonMap for the Wii remote and the given extension with the given list of keys.

Method Summary

Methods inherited from class wiiremotej.ButtonMap
`equals, getExtension, getExtensionButtons, getKeys, getMouseButton, getScrollAmount, getScrollInterval, getWiiRemoteButtons`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ButtonMouseWheelMap

    public ButtonMouseWheelMap(int wiiRemoteButtons,
                               int scrollAmount,
                               int scrollInterval)
                        throws java.lang.IllegalArgumentException

  Creates a new ButtonMap for the Wii remote with the given scroll amount and scroll interval.

  Parameters:
    `wiiRemoteButtons` - the Wii remote buttons that must be depressed to trigger this ButtonMap. May be either a single button or a multi-button mask.
    `scrollAmount` - the amount to scroll when the button is pressed. A positive value indicates scrolling down, and a negative value indicates scrolling up. The value is in scroll-wheel "notches," i.e. the least amount you can move a scroll wheel on a standard mouse.
    `scrollInterval` - the delay (in milliseconds) between scrolling when holding the button or -1 if you must push to scroll. Must be at least 10, if not -1.
  Throws:
    `java.lang.IllegalArgumentException` - if no buttons are indicated.
    `java.lang.IllegalArgumentException` - if scrollAmount is 0.
    `java.lang.IllegalArgumentException` - if scrollInterval is less than 10 and not equal to -1.

### ButtonMouseWheelMap

    public ButtonMouseWheelMap(int extension,
                               int extensionButtons,
                               int scrollAmount,
                               int scrollInterval)
                        throws java.lang.IllegalArgumentException

  Creates a new ButtonMap for the given extension with the given list of keys.

  Parameters:
    `extension` - the extension on which the extension buttons must be depressed to trigger the action(s).
    `extensionButtons` - the extension buttons that must be depressed to trigger this ButtonMap. May be either a single button or a multi-button mask.
    `scrollAmount` - the amount to scroll when the button is pressed. A positive value indicates scrolling down, and a negative value indicates scrolling up. The value is in scroll-wheel "notches," i.e. the least amount you can move a scroll wheel on a standard mouse.
    `scrollInterval` - the delay (in milliseconds) between scrolling when holding the button or -1 if you must push to scroll. Must be at least 10, if not -1.
  Throws:
    `java.lang.IllegalArgumentException` - if no buttons are indicated.
    `java.lang.IllegalArgumentException` - if scrollAmount is 0.
    `java.lang.IllegalArgumentException` - if scrollInterval is less than 10 and not equal to -1.

### ButtonMouseWheelMap

    public ButtonMouseWheelMap(int wiiRemoteButtons,
                               int extension,
                               int extensionButtons,
                               int scrollAmount,
                               int scrollInterval)
                        throws java.lang.IllegalArgumentException

  Creates a new ButtonMap for the Wii remote and the given extension with the given list of keys.

  Parameters:
    `wiiRemoteButtons` - the Wii remote buttons that must be depressed to trigger this ButtonMap. May be either a single button or a multi-button mask.
    `extension` - the extension on which the extension buttons must be depressed to trigger the action(s).
    `extensionButtons` - the extension buttons that must be depressed to trigger this ButtonMap. May be either a single button or a multi-button mask.
    `scrollAmount` - the amount to scroll when the button is pressed. A positive value indicates scrolling down, and a negative value indicates scrolling up. The value is in scroll-wheel "notches," i.e. the least amount you can move a scroll wheel on a standard mouse.
    `scrollInterval` - the delay (in milliseconds) between scrolling when holding the button or -1 if you must push to scroll. Must be at least 10, if not -1.
  Throws:
    `java.lang.IllegalArgumentException` - if no buttons are indicated.
    `java.lang.IllegalArgumentException` - if scrollAmount is 0.
    `java.lang.IllegalArgumentException` - if scrollInterval is less than 10 and not equal to -1.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD